#include <bits/stdc++.h>

using namespace std;
string najveci(string niz[],int n)
{
    string maks=niz[0];
    for(int i=1;i<6;i++)
    {
        if(niz[i]>maks)
            maks=niz[i];
    }
    return maks;
}
int main()
{
    string s1,s2,s3;
    cin>>s1>>s2>>s3;
    int n=6;
    string niz[n];
    niz[0]=s1+s2+s3;
    niz[1]=s1+s3+s2;
    niz[2]=s2+s1+s3;
    niz[3]=s2+s3+s1;
    niz[4]=s3+s1+s2;
    niz[5]=s3+s2+s1;
    cout<<najveci(niz,n);

    return 0;
}